Subject: bug#10428: 24.0.92; Please remove unnecessary alias `which-func-mode`

From: Juanma Barranquero <[email-masked]>
Date: Wed, 4 Jan 2012 00:53:19 +0100

On Wed, Jan 4, 2012 at 00:48, Daniel Colascione <[email-masked]> wrote:

> It's still annoying to have which-func-mode show up as an interactive
> command.

Not to the people used to the old name... That's the whole point of
having an obsolete alias, instead of just renaming the function.

> Is it somehow possible to define an alias to a command that is
> not itself a command?

Not currently. The interactivity does not depend of the name. It's a
property of the function itself.

    Juanma